# -*- coding: utf-8 -*-
__license__   = 'GPL v3'
__copyright__ = '2023 DaltonST'
__my_version__ = "1.0.0"  #New

def return_epom_config_group_b():

  epom_config_group_b = {}

  epom_config_group_b["EPOM_EXTRACT_PEOPLE_1_ACTIVE"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_1_CUSTOM_COLUMN"] = "#epub_vers"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_1_KEYWORDS"] = "EPUB [rv][0-9.]+|ePub base  [rv][0-9.]+"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_1_IGNORECASE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_1_MULTILINE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_1_DOTALL"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_1_REGEX"] = "[0-9.]+"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_1_FORMAT_TWEAKS"] = "\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#Default values are available for copying from \"Tweaks Example\".\n#This list of Tweaks will be executed in the exact order you decide.\n#Tweaks may be executed multiple times via copy & paste.\n#Activate a Tweak by removing the leading '#'\n#Deactivate a Tweak by adding a leading '#'\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown below.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n\n\n\n\n\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown above.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n"

  epom_config_group_b["EPOM_EXTRACT_PEOPLE_2_ACTIVE"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_2_CUSTOM_COLUMN"] = "#all_isbn_tags"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_2_KEYWORDS"] = "97(8|9)(?:(-|–|–)?\d){10}|ISBN97(8|9)(?:(-|–|–)?\d){10}$"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_2_IGNORECASE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_2_MULTILINE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_2_DOTALL"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_2_REGEX"] = ""
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_2_FORMAT_TWEAKS"] = "\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#Default values are available for copying from \"Tweaks Example\".\n#This list of Tweaks will be executed in the exact order you decide.\n#Tweaks may be executed multiple times via copy & paste.\n#Activate a Tweak by removing the leading '#'\n#Deactivate a Tweak by adding a leading '#'\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown below.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n\nREMOVE_CHARACTERS=:\nREMOVE_UNICODE_DASHES=-֊־᐀᠆‑‒–—⸗⸚⸺⸻⹀〜〰゠﹘﹣－\nCALIBRE_TEMPLATE_LANGUAGE_BUILTIN=re(val, ' ', '')\nCALIBRE_TEMPLATE_LANGUAGE_BUILTIN=re(val, 'ISBN', '\\,')\nREMOVE_STARTSWITH='13 '\nINSERT_SEPARATOR_BEFORE='978','\\,'\nINSERT_SEPARATOR_BEFORE='979','\\,'\nREMOVE_LETTERS=a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,ä,ö,ü,ß,å,æ,œ,ø,ñ,ç,ã,á,é,í,ó,ú,ğ,ı,ş,à,â,ê,ô,ã,õ,Α,α,Β,β,Γ,γ,Δ,δ,Ε,ε,Ζ,ζ,Η,η,Θ,θ,Ι,ι,Κ,κ,Λ,λ,Μ,μ,Ν,ν,Ξ,ξ,Ο,ο,Π,π,Ρ,ρ,Σ,σ,/,ς,Τ,τ,Υ,υ,Φ,φ,Χ,χ,Ψ,ψ,Ω,ω\nMINIMUM_LENGTH_TO_ACCEPT=13\nREMOVE_STARTSWITH=','\nREMOVE_ENDSWITH=','\n\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown above.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#String Manipulation builtin functions may require an \"escaped\" comma\n#in the values to differentiate them from the commas separating each argument.\n#Example:    Wrong:  re(val, '^.+$', 'x,y,z')     Correct:  re(val, '^.+$', 'x\\,y\\,z')\n#--------------------------------------------------------------------------"

  epom_config_group_b["EPOM_EXTRACT_PEOPLE_3_ACTIVE"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_3_CUSTOM_COLUMN"] = "#copyright"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_3_KEYWORDS"] = "(©|copyright|copyrights) [a-z ..,-]+ (19|20)[0-9][0-9]"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_3_IGNORECASE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_3_MULTILINE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_3_DOTALL"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_3_REGEX"] = ""
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_3_FORMAT_TWEAKS"] = "\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#Default values are available for copying from \"Tweaks Example\".\n#This list of Tweaks will be executed in the exact order you decide.\n#Tweaks may be executed multiple times via copy & paste.\n#Activate a Tweak by removing the leading '#'\n#Deactivate a Tweak by adding a leading '#'\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown below.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n\n\nREMOVE_CHARACTERS=©\n\n\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown above.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n"

  epom_config_group_b["EPOM_EXTRACT_PEOPLE_4_ACTIVE"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_4_CUSTOM_COLUMN"] = "#library_of_congress"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_4_KEYWORDS"] = "Library of Congress Control Number[: ]+[0-9]+$"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_4_IGNORECASE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_4_MULTILINE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_4_DOTALL"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_4_REGEX"] = "[0-9]+"
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_4_FORMAT_TWEAKS"] = "\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#Default values are available for copying from \"Tweaks Example\".\n#This list of Tweaks will be executed in the exact order you decide.\n#Tweaks may be executed multiple times via copy & paste.\n#Activate a Tweak by removing the leading '#'\n#Deactivate a Tweak by adding a leading '#'\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown below.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n\n\n\n\n\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown above.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n"

  epom_config_group_b["EPOM_EXTRACT_PEOPLE_5_ACTIVE"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_5_CUSTOM_COLUMN"] = ""
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_5_KEYWORDS"] = ""
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_5_IGNORECASE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_5_MULTILINE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_5_DOTALL"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_5_REGEX"] = ""
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_5_FORMAT_TWEAKS"] = "\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#Default values are available for copying from \"Tweaks Example\".\n#This list of Tweaks will be executed in the exact order you decide.\n#Tweaks may be executed multiple times via copy & paste.\n#Activate a Tweak by removing the leading '#'\n#Deactivate a Tweak by adding a leading '#'\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown below.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n\n\n\n\n\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown above.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n"

  epom_config_group_b["EPOM_EXTRACT_PEOPLE_6_ACTIVE"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_6_CUSTOM_COLUMN"] = ""
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_6_KEYWORDS"] = ""
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_6_IGNORECASE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_6_MULTILINE"] = True
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_6_DOTALL"] = False
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_6_REGEX"] = ""
  epom_config_group_b["EPOM_EXTRACT_PEOPLE_6_FORMAT_TWEAKS"] = "\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#Default values are available for copying from \"Tweaks Example\".\n#This list of Tweaks will be executed in the exact order you decide.\n#Tweaks may be executed multiple times via copy & paste.\n#Activate a Tweak by removing the leading '#'\n#Deactivate a Tweak by adding a leading '#'\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown below.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n\n\n\n\n\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n#This list of Tweaks will be executed in the exact order shown above.\n#--------------------------------------------------------------------------\n#--------------------------------------------------------------------------\n"


  return epom_config_group_b





